<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version="1.0"
  >
  <xsl:output method="html"/> 
  <xsl:strip-space elements="bibitem"/>
 
  <xsl:template match="/">
     <xsl:apply-templates />
    
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem">
    <FORM action="BibLendServlet" method="POST"><TABLE border="0" cellspacing="2">
    <TR><TD bgcolor="#8099FF"> Key: </TD><TD bgcolor="#8099FF"><xsl:value-of select="@key" /></TD></TR>
    <TR><TD bgcolor="#8099FF"> Type: </TD><TD bgcolor="#8099FF"><xsl:value-of select="@type" /></TD></TR>
       <xsl:apply-templates />
    <TR><TD>Geliehen von (Name):</TD><TD><INPUT type="text" length="100" name="lentbyname" value="{lentbyname}" /></TD></TR>
    <TR><TD>Geliehen von (Matrikelnr.):</TD><TD><INPUT type="text" length="100" name="lentbymatno" value="{lentbymatno}" /></TD></TR>
    <TR><TD>Geliehen am (TT MM JJJJ):</TD><TD><INPUT type="text" length="100" name="lenddate" value="{lenddate}" /></TD></TR>
    </TABLE>
    <INPUT type="hidden" name="requester" value="lend" />
    <INPUT type="submit" name="button" value="Uebernehmen" />
    <INPUT type="submit" name="button" value="Zurueckgegeben" />
    <INPUT type="hidden" name="uniqueid" value="{@key}" />
    </FORM><HR />
  </xsl:template>  
  
  <xsl:template match="/biblist/bibitem/lentbymatno">
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/lentbyname">
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/lenddate">
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>

  <xsl:template match="/biblist/bibitem/author">
      <TR><TD bgcolor="#DBB0DB"> Author: </TD><TD bgcolor="#DBB0DB"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
    
  <xsl:template match="/biblist/bibitem/title">
      <TR><TD bgcolor="#A0A0E0"> Titel: </TD><TD bgcolor="#A0A0E0"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/year">
      <TR><TD bgcolor="#8099FF">Jahr: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/URL">
      <TR><TD bgcolor="#8099FF">URL: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/address">
      <TR><TD bgcolor="#8099FF">Adresse: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/annote">
      <TR><TD bgcolor="#8099FF">Bemerkung: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/booktitle">
      <TR><TD bgcolor="#8099FF">Buchtitel: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/chapter">
      <TR><TD bgcolor="#8099FF">Kapitel: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/descriptor">
      <TR><TD bgcolor="#8099FF">Descriptor: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/crossref">
      <TR><TD bgcolor="#8099FF">Crossreference: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/edition">
      <TR><TD bgcolor="#8099FF">Edition: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/editor">
      <TR><TD bgcolor="#8099FF">Editor: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/isbn">
      <TR><TD bgcolor="#8099FF">ISBN: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/url">
      <TR><TD bgcolor="#8099FF">URL: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/volume">
      <TR><TD bgcolor="#8099FF">Volume: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/month">
      <TR><TD bgcolor="#8099FF">Monat: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/number">
      <TR><TD bgcolor="#8099FF">Nummer: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/publisher">
      <TR><TD bgcolor="#8099FF">Verleger: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/journal">
      <TR><TD bgcolor="#8099FF">Zeitschrift: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/howpublished">
      <TR><TD bgcolor="#8099FF">Publiziert durch: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/institution">
      <TR><TD bgcolor="#8099FF">Institution: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/isb">
      <TR><TD bgcolor="#8099FF">ISB: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/key">
      <TR><TD bgcolor="#8099FF">Key: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/note">
      <TR><TD bgcolor="#8099FF">Notiz: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/organization">
      <TR><TD bgcolor="#8099FF">Organisation: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/pages">
      <TR><TD bgcolor="#8099FF">Seiten: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/school">
      <TR><TD bgcolor="#8099FF">Lehranstalt: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/series">
      <TR><TD bgcolor="#8099FF">Serie: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/tite">
      <TR><TD bgcolor="#8099FF">Titel: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem/type">
      <TR><TD bgcolor="#8099FF">Typus: </TD><TD bgcolor="#8099FF"><xsl:apply-templates select="text()"/> </TD></TR>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages"/>
  </xsl:template>
  
  <xsl:template match="text()">
    <xsl:value-of select="normalize-space()"/>
  </xsl:template>

</xsl:stylesheet>