<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version="1.0"
  >
  <xsl:output method="text" /> 
  <xsl:strip-space elements="bibitem" />
 
  <xsl:template match="/">
     <xsl:apply-templates />
  </xsl:template>
  
  <xsl:template match="/biblist/bibitem">
    <xsl:text>@</xsl:text><xsl:value-of select="@type" /><xsl:text>{</xsl:text><xsl:value-of select="@key" />
    <xsl:apply-templates />
    <xsl:text>
}

</xsl:text>
  </xsl:template>  

  <xsl:template match="/biblist/bibitem/*">
      <xsl:text>,
      </xsl:text><xsl:value-of select="name()" /><xsl:text> = {</xsl:text><xsl:value-of select="." /><xsl:text>}</xsl:text>
      <xsl:apply-templates select="year|volume|url|type|title|tite|series|school|publisher|URL|address|annote|author|booktitle|chapter|crossref|descriptor|edition|editor|howpublished|institution|isb|isbn|journal|key|month|note|number|organization|pages" />
  </xsl:template>
      
  <xsl:template match="text()">
    <xsl:value-of select="normalize-space()" />
  </xsl:template>

</xsl:stylesheet>